part of 'chat_list_bloc.dart';

class ChatListState {
  final bool isLoading;
  final List<ChatListConversation> conversations;
  final Map usersByKeys;

  int get unread {
    int total = 0;
    for (var e in conversations) {
      total += e.unread;
    }
    return total;
  }

  ChatListState({
    required this.conversations,
    required this.usersByKeys,
    this.isLoading = true,
  });

  ChatListState update({
    bool? isLoading,
    List<ChatListConversation>? conversations,
    Map? usersByKeys,
  }) {
    return ChatListState(
      usersByKeys: usersByKeys ?? this.usersByKeys,
      isLoading: isLoading ?? this.isLoading,
      conversations: conversations ?? this.conversations,
    );
  }
}
